Subject: Re: "git-whatever" the new style vs. "git whatever"?

From: A Large Angry SCM <[email-masked]>
Date: Mon, 29 Dec 2008 16:27:09 -0500

Boyd Stephen Smith Jr. wrote:
> On Monday 2008 December 29 13:37:19 [email-masked] wrote:
>> JCH> I think he is comparing "git am" and "git-am" the latter of which is
>> JCH> now deprecated and largely removed from the end user.
>>
>> By the way, we here at the end user end have a hard time detecting if
>> "git-whatever" the new style vs. "git whatever"...
> 
> That shouldn't be a problem for much longer because "git-whatever" will stop 
> working.  From what I understand, "git whatever" has always been the 
> preferred form, and the fact that "git-whatever" worked was just a 
> implementation detail.

This is a revisionist history. Check the history of the git command to 
find out when it was created and then check the ML archives for related 
discussions.